
D4Science Infrastructure - Task #1417

Add Cron Job to make "Redmine Issue Reminder plugin" working

Nov 18, 2015 03:36 PM - Luca Frosini

Status: Closed Start date: Nov 18, 2015

Priority: Normal Due date: Nov 23, 2015

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Redmine management   

Infrastructure: Production   

Description

Related issues:

Related to D4Science Infrastructure - Incident #1874: Redmine automatic updat... Closed Jan 04, 2016 Jan 05, 2016

History

#1 - Nov 20, 2015 06:56 PM - Luca Frosini

- Due date set to Nov 27, 2015

- Status changed from New to In Progress

- Assignee changed from Andrea Dell'Amico to Luca Frosini

I'm going to implement this strategy to test it.

I'll delete from any project the reminder.

I'll add a reminder only on DTEAM project.

For that project I'll create tasks which will respect the reminder (One for me, one for @pasquale.pagano@isti.cnr.it and one for

@andrea.dellamico@isti.cnr.it ).

We will receive the emails so we can check them. If we are satisfied I'll take care or adding back the reminder in different projects.

For the moment, I'm going to take in charge this ticket.

#2 - Nov 20, 2015 07:06 PM - Luca Frosini

- Due date changed from Nov 27, 2015 to Nov 23, 2015

- Assignee changed from Luca Frosini to Andrea Dell'Amico

- % Done changed from 0 to 30

I have created tickets #1472 #1473 #1474 to test it. The due date is on 25/11/2015.

I have also added the reminder when the due date is one day.

@andrea.dellamico@isti.cnr.it I'll reassign the ticket to you. You can create the job to test it. If you add the cron before 23/11/2015 I'll change the due

date earlier.

#3 - Nov 20, 2015 07:08 PM - Luca Frosini

Just a clarification fro @pasquale.pagano@isti.cnr.it The query are the query available for the project and used in gant and issue tabs. So we can

create any query we want.

#4 - Nov 22, 2015 08:13 PM - Andrea Dell'Amico

I'm going to add the cron job on monday.

#5 - Nov 23, 2015 09:47 AM - Luca Frosini

Perfect. Thank you.

#6 - Nov 23, 2015 12:25 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

Cron job added, it will run each morning at 5am.
#7 - Nov 24, 2015 04:56 PM - Pasquale Pagano

will it work for all projects?

#8 - Nov 24, 2015 05:00 PM - Luca Frosini

We will see tomorrow after 5 am.

Actually the reminder has been removed in all project except in DTEAM where I created the test tickets.

#9 - Nov 30, 2015 09:58 AM - Luca Frosini

- Status changed from Feedback to In Progress

- % Done changed from 100 to 80

The plugin seems not working. I created tickets, tryed different query and reminder in DTEAM project but I didn't receive any email.

#10 - Nov 30, 2015 02:52 PM - Andrea Dell'Amico

The cron job failed, the command was executed with the wrong options.

I'm going to run it manually in a couple of minutes.

#11 - Nov 30, 2015 02:54 PM - Andrea Dell'Amico

The manual execution went well. Did you receive any message?

#12 - Nov 30, 2015 03:07 PM - Luca Frosini

No, but There were no tickets matching the conditions. Let me modify the due date of testing ticket. When ready can you try to run the cron job again?

#13 - Nov 30, 2015 03:10 PM - Andrea Dell'Amico

Manually, even now.

#14 - Nov 30, 2015 03:10 PM - Luca Frosini

Due dates changed.

I set two type of reminder. Let's see what happen.

Can you please retry now?

#15 - Nov 30, 2015 03:16 PM - Andrea Dell'Amico

I just run it but I didn't see any output. It's possible that the execution date is saved in the db, so we need to wait until tomorrow evening and run it

again.

#16 - Nov 30, 2015 03:17 PM - Luca Frosini

Ok I'll postpone the due date to the day after tomorrow.

#17 - Dec 03, 2015 12:11 PM - Luca Frosini

I didn't receive any email. The plugin seems not working or not configured properly (maybe I made some mistake).

#18 - Dec 03, 2015 01:35 PM - Andrea Dell'Amico

The plugin log output is clean, no errors have been reported. It just reported the list of users potentially involved:

andrea.dellamico@isti.cnr.it

luca.frosini@isti.cnr.it

tommaso.piccioli@isti.cnr.it

pasquale.pagano@isti.cnr.it

monja.dariva@isti.cnr.it

massimiliano.assante@isti.cnr.it

leonardo.candela@isti.cnr.it

g.panichi@isti.cnr.it

fabio.sinibaldi@isti.cnr.it

francesco.mangiacrapa@isti.cnr.it

gianpaolo.coro@isti.cnr.it

lucio.lelii@isti.cnr.it

valentina.marioli@isti.cnr.it

roberto.cirillo@isti.cnr.it

costantino.perciante@isti.cnr.it

#19 - Dec 03, 2015 01:41 PM - Andrea Dell'Amico
An alternative could be a different issues reminder plugin that's installed on the Openaire redmine. That one works but it is less configurable: the

configuration is global so it applies equally to all the projects. You can see the configuration options here: 

https://issue.openaire.research-infrastructures.eu/settings/plugin/redmine_update_reminder

#20 - Dec 11, 2015 05:16 PM - Andrea Dell'Amico

Any opinion on this? do we want to remove the plugin?

#21 - Dec 11, 2015 05:49 PM - Luca Frosini

We can remove the plugin and use the one used by DNET (I can't access to DNET Redmine so I didn't see the configuration, but better than nothing)

#22 - Dec 11, 2015 05:54 PM - Andrea Dell'Amico

I can give you access to see if it fits with the workflow.

#23 - Dec 11, 2015 06:09 PM - Luca Frosini

There is a global (for all project) configuration for each tracker type. This is acceptable.

Moreover we need an user that receive all reminder too.

We can configure a email which discard all messages (I can provide one behaving like this) or use the one of @pasquale.pagano@isti.cnr.it which is

interested to receive it.

#24 - Dec 18, 2015 07:02 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

The new plugin has been installed. You can configure it from here: https://support.d4science.org/settings/plugin/redmine_update_reminder

Let me know when you're done, I've disabled the cron job that sends the emails in the meantime.

#25 - Dec 23, 2015 11:14 AM - Luca Frosini

I just configured the plugin. @pasquale.pagano@isti.cnr.it is the victim of receiving all the email in CC.

https://support.d4science.org/settings/plugin/redmine_update_reminder

@andrea.dellamico@isti.cnr.it can run the cron job?

#26 - Dec 23, 2015 03:14 PM - Andrea Dell'Amico

The cron job is now active, it will run for the first time tomorrow at 5AM.

A not so welcome Christmas present, I suppose :).

#27 - Dec 23, 2015 03:26 PM - Luca Frosini

:D

#28 - Jan 04, 2016 12:44 PM - Andrea Dell'Amico

- Related to Incident #1874: Redmine automatic update reminders spamming  added

#29 - Jan 07, 2016 06:50 PM - Pasquale Pagano

@massimiliano.assante@isti.cnr.it please provide your feedback here.

IMHO the reminder should notify a user if

the ticket is approaching the due date

the ticket is belonging to specific trackers (not all trackers)

the last update time of the ticket is older than a week wrt the date of the notification.

#30 - Jan 07, 2016 07:16 PM - Massimiliano Assante

Pasquale Pagano wrote:

@massimiliano.assante@isti.cnr.it please provide your feedback here.

IMHO the reminder should notify a user if

the ticket is approaching the due date

 yes, a week pehaps?

the ticket is belonging to specific trackers (not all trackers)
 yes, incidents for sure then we should understand what other type of trackers, for sure not the release ones.

the last update time of the ticket is older than a week wrt the date of the notification.

 what do you mean? That i should get an email reminder if i haven't reacted within a week time? (After the ticket was assigned to me)

#31 - Jan 07, 2016 07:34 PM - Andrea Dell'Amico

The only available option is the interval from the last action on the ticket (any action, the ticket opening counts as an action) and the mail alert.

Different intervals can be set for any tracker category. You are all administrators, you can see the configuration here: 

https://support.d4science.org/settings/plugin/redmine_update_reminder

#32 - Jan 08, 2016 07:42 PM - Pasquale Pagano

the interval from the last action on the ticket is acceptable. 

#33 - Jan 20, 2016 03:51 PM - Andrea Dell'Amico

Any news on this one?

#34 - Jan 21, 2016 04:41 PM - Luca Frosini

No news. I don't know what to do. The plugin seems not working as expected even configured ad @pasquale.pagano@isti.cnr.it said.

#35 - Feb 03, 2016 04:42 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

I'm disabling it for the time being.
